POST Visit

Use this endpoint to create a member visit.

Example Request

{
	"visit": {
		"transaction_total": 100,
		"pos_id": "native_pos_transaction_id",
		"pos_user": "native_pos_member_id",
		"pos_type": "client_name",
		"transaction_date": "2023-04-20T16:42:43Z",
		"final_total": 40.00,
		"sub_total": 35.00,
		"total_discount": 2.00,
		"location": "Name of Retail Location",
		"visit_payments_attributes": [
			{
				"payment_method": "debit",
				"amount": 30.00
			},
			{
				"payment_method": "cash",
				"amount": 10.00
			}
		],
		"visit_details_attributes": [
			{
				"sku": "73373225",
				"quantity": 7,
				"price": 33.00,
				"category": "Flower",
				"brand": "Kusk Care",
				"name": "Do-Si-Do #9"
			}
		]
	}
}
Body Params
visit
object
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json